Bug 42888 - Crash when Serializing - Newtonsoft C#
Summary: Crash when Serializing - Newtonsoft C#
Status: RESOLVED NORESPONSE
Alias: None
Product: Runtime
Classification: Mono
Component: General (show other bugs)
Version: unspecified
Hardware: Macintosh Mac OS
: --- normal
Target Milestone: ---
Assignee: Bugzilla
URL:
Depends on:
Blocks:
 
Reported: 2016-07-28 15:03 UTC by Gigi Carvalho
Modified: 2017-10-11 17:35 UTC (History)
4 users (show)

Tags:
Is this bug a regression?: ---
Last known good build:


Attachments
Application Output (24.45 KB, text/plain)
2016-07-28 15:03 UTC, Gigi Carvalho
Details


Notice (2018-05-24): bugzilla.xamarin.com is now in read-only mode.

Please join us on Visual Studio Developer Community and in the Xamarin and Mono organizations on GitHub to continue tracking issues. Bugzilla will remain available for reference in read-only mode. We will continue to work on open Bugzilla bugs, copy them to the new locations as needed for follow-up, and add the new items under Related Links.

Our sincere thanks to everyone who has contributed on this bug tracker over the years. Thanks also for your understanding as we make these adjustments and improvements for the future.


Please create a new report on GitHub or Developer Community with your current version information, steps to reproduce, and relevant error messages or log files if you are hitting an issue that looks similar to this resolved bug and you do not yet see a matching new report.

Related Links:
Status:
RESOLVED NORESPONSE

Description Gigi Carvalho 2016-07-28 15:03:21 UTC
Created attachment 16815 [details]
Application Output

Got a SIGABRT while executing native code. This usually indicates
a fatal error in the mono runtime or one of the native libraries 
used by your application.

I have tried removing and reinstalling Newtonsoft package, restarting xamarin, removing obj and bin directories but nothing I do is solving this issue. I have checked the object being passed and it looks right.
Comment 1 Rodrigo Kumpera 2016-09-14 01:15:40 UTC
Could provide instructions on how to reproduce this crash?

A sample solution plus debug instructions would greatly help us fix it.
Comment 2 Rodrigo Kumpera 2017-10-11 17:35:25 UTC
We have not received the requested information. If you are still experiencing this issue please provide all the requested information and reopen the bug report.

Thank you!